
require "middleclass"

door = {};

function door.new(x, y, w, h, state)
    local self = {};

    self.x = x;
    self.y = y;
    self.w = w;
    self.h = h;

    function self:draw()
        love.graphics.setColor(0,29,225)
        love.graphics.rectangle("fill", self.x, self.y, self.w, self.h);
    end

    function self:update(dt, player)
        if player.y + player.height > self.y and player.y < self.y + self.h and player.x + player.width > self.x and player.x < self.x + self.w then
            gamestate = state
        end
    end

    return self;
end

return door;